import { MicroEditorBase } from "../../../Views/editor/MicroEditorBase.js";
export declare class ViewEditor extends MicroEditorBase {
    private get buttonNode();
    private get inputNode();
    get inputValue(): string;
    set inputValue(value: string);
    template(): string | Array<string> | JQuery;
    focus(): void;
    protected onActivate(e: Jade.UI.ControlEventArgs): void;
    private showViewEditorDialog;
}
